<?php
/**
 * The template to show mobile menu
 *
 * @package WordPress
 * @subpackage TRANSLOGIC
 * @since TRANSLOGIC 1.0
 */
?>
<div class="menu_mobile_overlay"></div>
<div class="menu_mobile scheme_dark">
	<div class="menu_mobile_inner">
		<a class="menu_mobile_close icon-cancel"></a><?php

		// Logo
		set_query_var('translogic_logo_args', array('inverse' => true));
		get_template_part( 'templates/header-logo' );
		set_query_var('translogic_logo_args', array());

		// Mobile menu
		$translogic_menu_mobile = translogic_get_nav_menu('menu_mobile');
		if (empty($translogic_menu_mobile)) {
			$translogic_menu_mobile = apply_filters('translogic_filter_get_mobile_menu', '');
			if (empty($translogic_menu_mobile)) $translogic_menu_mobile = translogic_get_nav_menu('menu_main');
			if (empty($translogic_menu_mobile)) $translogic_menu_mobile = translogic_get_nav_menu();
		}
		if (!empty($translogic_menu_mobile)) {
			if (!empty($translogic_menu_mobile))
				$translogic_menu_mobile = str_replace(
					array('menu_main', 'id="menu-', 'sc_layouts_menu_nav', 'sc_layouts_hide_on_mobile', 'hide_on_mobile'),
					array('menu_mobile', 'id="menu_mobile-', '', '', ''),
					$translogic_menu_mobile
					);
			if (strpos($translogic_menu_mobile, '<nav ')===false)
				$translogic_menu_mobile = sprintf('<nav class="menu_mobile_nav_area">%s</nav>', $translogic_menu_mobile);
			translogic_show_layout(apply_filters('translogic_filter_menu_mobile_layout', $translogic_menu_mobile));
		}

		// Search field
		do_action('translogic_action_search', 'normal', 'search_mobile', false);
		
		// Social icons
		translogic_show_layout(translogic_get_socials_links(), '<div class="socials_mobile">', '</div>');
		?>
	</div>
</div>
