<?php
/* Theme-specific action to configure ThemeREX Addons components
------------------------------------------------------------------------------- */

// Theme init priorities:
// 1 - register filters, that add/remove lists items for the Theme Options
if (!function_exists('translogic_trx_addons_theme_specific_setup')) {
	add_action( 'after_setup_theme', 'translogic_trx_addons_theme_specific_setup' );
	function translogic_trx_addons_theme_specific_setup() {
		if (translogic_exists_trx_addons()) {
			add_filter( 'trx_addons_filter_default_layouts',	'translogic_trx_addons_theme_specific_default_layouts');
		}
	}
}

// Add theme-specific layouts to the VC user's layouts
if (!function_exists('translogic_trx_addons_theme_specific_default_layouts')) {
	
	function translogic_trx_addons_theme_specific_default_layouts($layouts=array()) {
		return array_merge($layouts,
							array(
								'custom_header_1' => array(
										'name' => esc_html__('Header 1', 'translogic'),
										'type' => 'header',
										'template' => '[vc_row scheme="dark" row_type="narrow" row_delimiter="" row_fixed="1" hide_on_mobile="" hide_on_frontpage=""][vc_column column_align="center" column_type="center"][trx_sc_content type="default" width="1_1" float="none" align="none" padding="none" title_style="default" title_align="default"  description="" link="" link_text="" link_image="" scheme="inherit" id="" class="" css="" width2="1_1" size="1_1"][vc_row_inner equal_height="yes" content_placement="middle"][vc_column_inner width="1/3" column_align="left"][trx_sc_layouts_iconed_text type="default" icon_type="fontawesome" icon_fontawesome="icon-clock" text1="Open Hours:" text2="Mn - St, 8:00 a.m. - 9:00 p.m." id="" class="" css=""][/vc_column_inner][vc_column_inner width="2/3" column_align="right"][trx_sc_layouts_search type="default" style="normal" ajax="1" id="" class="" css=""][trx_sc_layouts_login type="default" text_login="" text_logout="" id="" class="" css=""][trx_sc_layouts_iconed_text type="default" icon_type="fontawesome" icon_fontawesome="icon-home-2" text1="123, New Lenox Chicago, IL 60606" text2="" id="" class="" css="" link=""][trx_sc_socials type="default" align="default" icons="%5B%7B%22icon_type%22%3A%22fontawesome%22%7D%5D" title_style="default" title_align="default"  description="" link="" link_text="" link_image="" id="" class="" css=""][/vc_column_inner][/vc_row_inner][/trx_sc_content][/vc_column][/vc_row][vc_row row_type="normal" row_delimiter="1"][vc_column column_align="center" column_type="center"][trx_sc_content type="default" width="1_1" float="none" align="none" padding="none" title_style="default" title_align="default" description="" link="" link_text="" link_image="" scheme="inherit" id="" class="" css="" width2="1_1" size="1_1"][vc_row_inner equal_height="yes" content_placement="middle"][vc_column_inner width="1/3" column_align="left"][trx_sc_layouts_logo type="default" logo="" logo_retina="" id="" class="" css=""][/vc_column_inner][vc_column_inner width="2/3" column_align="right"][trx_sc_layouts_iconed_text type="default" icon_type="fontawesome" icon_fontawesome="icon-phone-2" text1="Call Us Today" text2="0 (800) 123-456" id="" class="" css="" link=""][trx_sc_layouts_iconed_text type="default" icon_type="fontawesome" icon_fontawesome="icon-clock" text1="Work Time" text2="8:00 - 18:00" id="" class="" css="" link="" hide_on_mobile=""][trx_sc_layouts_cart type="default" text="Shopping Cart" id="" class="" css=""][/vc_column_inner][/vc_row_inner][/trx_sc_content][/vc_column][/vc_row][vc_row row_type="normal" row_delimiter="" row_fixed="1" hide_on_mobile="" hide_on_frontpage=""][vc_column column_align="center" column_type="center"][trx_sc_content type="default" width="1_1" float="none" align="none" padding="none" title_style="default" title_align="default" description="" link="" link_text="" link_image="" scheme="inherit" id="" class="" css="" width2="1_1" size="1_1"][vc_row_inner equal_height="yes" content_placement="middle"][vc_column_inner width="2/3" column_align="left"][trx_sc_layouts_menu type="default" location="none" menu="main-menu" burger="" mobile="1" id="" class="" css="" stretch="" hover="slide_line" animation_in="fadeInUpSmall" animation_out="fadeOutDownSmall" mobile_button="1" mobile_menu="1" mobile_hide="1" hide_on_mobile="1"][/vc_column_inner][vc_column_inner width="1/3" column_align="right"][trx_sc_button type="default" size="normal" link="#" title="Make an appointment" align="none" text_align="none" back_image="" icon_type="fontawesome" icon_fontawesome="" image="" icon_position="left" hide_on_mobile="" id="" class="" css=""][/vc_column_inner][/vc_row_inner][/trx_sc_content][/vc_column][/vc_row][vc_row row_type="normal" row_delimiter="" row_fixed="" hide_on_mobile="" hide_on_frontpage="1"][vc_column column_align="center"][trx_sc_content type="default" size="1_1" float="none" align="none" padding="none" title_style="default" title_align="default"  description="" link="" link_text="" link_image="" scheme="inherit" id="" class="" css=""][trx_sc_layouts_title type="default" icon_type="fontawesome" icon_fontawesome="" meta="1" title="1" breadcrumbs="1" hide_on_mobile="" id="" class="" css=""][/trx_sc_content][/vc_column][/vc_row]'
								),
								'custom_header_all' => array(
										'name' => esc_html__('All In One headers demo', 'translogic'),
										'type' => 'header',
										'template' => '[vc_row scheme="dark" row_type="narrow" row_delimiter="1" row_fixed="1"][vc_column column_type="center"][trx_sc_content type="default" width="1_1" float="none" align="none" padding="none" title_style="default" title_align="default"  description="" link="" link_text="" link_image="" scheme="inherit" id="" class="" css="" width2="1_1" size="1_1"][vc_row_inner equal_height="yes" content_placement="middle"][vc_column_inner width="1/3" column_align="left"][trx_sc_layouts_iconed_text type="default" icon_type="fontawesome" icon_fontawesome="icon-clock" text1="Open Hours:" text2="Mn - St, 8:00 a.m. - 9:00 p.m." id="" class="" css=""][/vc_column_inner][vc_column_inner width="2/3" column_align="right"][trx_sc_layouts_search type="default" style="normal" ajax="1" id="" class="" css=""][trx_sc_layouts_login type="default" text_login="" text_logout="" id="" class="" css=""][trx_sc_layouts_iconed_text type="default" icon_type="fontawesome" icon_fontawesome="icon-home-2" text1="123, New Lenox Chicago, IL 60606" text2="" id="" class="" css="" link=""][trx_sc_socials type="default" align="default" icons="%5B%7B%22icon_type%22%3A%22fontawesome%22%7D%5D" title_style="default" title_align="default"  description="" link="" link_text="" link_image="" id="" class="" css=""][/vc_column_inner][/vc_row_inner][/trx_sc_content][/vc_column][/vc_row][vc_row scheme="dark" row_type="narrow" row_delimiter="1"][vc_column column_type="center"][trx_sc_content type="default" width="1_1" float="none" align="none" padding="none" title_style="default" title_align="default" description="" link="" link_text="" link_image="" scheme="inherit" id="" class="" css="" width2="1_1" size="1_1"][vc_row_inner equal_height="yes" content_placement="middle"][vc_column_inner width="1/3" column_align="left" icons_position="right"][trx_sc_layouts_login type="default" text_login="" text_logout="" id="" class="" css=""][trx_sc_layouts_search type="default" style="normal" ajax="1" id="" class="" css=""][/vc_column_inner][vc_column_inner width="2/3" column_align="right"][trx_sc_layouts_iconed_text type="default" icon_type="fontawesome" icon_fontawesome="icon-phone-2" text1="0 (800) 123-456" text2="" id="" class="" css="" link=""][trx_sc_layouts_iconed_text type="default" icon_type="fontawesome" icon_fontawesome="icon-mail-empty" text1="support@yahoo.com" text2="" id="" class="" css="" link="mailto:support@yahoo.com"][trx_sc_button type="default" size="normal" link="#" title="Make an appointment" align="none" text_align="none" back_image="" icon_type="fontawesome" icon_fontawesome="" image="" icon_position="left" id="" class="" css="" hide_on_mobile="1"][/vc_column_inner][/vc_row_inner][/trx_sc_content][/vc_column][/vc_row][vc_row row_type="compact" row_delimiter="1" row_fixed="1"][vc_column column_type="center"][vc_row_inner equal_height="yes" content_placement="middle"][vc_column_inner width="1/3" column_align="left"][trx_sc_layouts_logo type="default" logo="" logo_retina="" id="" class="" css=""][/vc_column_inner][vc_column_inner width="2/3" column_align="right"][trx_sc_layouts_cart type="default" text="Shopping Cart" id="" class="" css=""][trx_sc_layouts_search type="default" style="expand" ajax="1" id="" class="" css=""][trx_sc_layouts_login type="default" text_login="" text_logout="" id="" class="" css=""][trx_sc_layouts_iconed_text type="default" icon_type="fontawesome" icon_fontawesome="icon-mail-empty" text1="support@yahoo.com" text2="" id="" class="" css="" link="mailto:support@yahoo.com"][trx_sc_layouts_iconed_text type="default" icon_type="fontawesome" icon_fontawesome="icon-phone-2" text1="0 (800) 123-456" text2="" id="" class="" css="" link=""][trx_sc_socials type="default" align="default" icons="%5B%7B%22icon_type%22%3A%22fontawesome%22%7D%5D" title_style="default" title_align="default"  description="" link="" link_text="" link_image="" id="" class="" css=""][trx_sc_button type="default" size="normal" link="#" title="Make an appointment"  align="none" text_align="none" back_image="" icon_type="fontawesome" icon_fontawesome="" image="" icon_position="left" id="" class="" css=""][/vc_column_inner][/vc_row_inner][/vc_column][/vc_row][vc_row row_type="compact" row_delimiter="1"][vc_column column_type="center"][vc_row_inner equal_height="yes" content_placement="middle"][vc_column_inner width="1/3" column_align="left"][trx_sc_layouts_logo type="default" logo="" logo_retina="" id="" class="" css=""][/vc_column_inner][vc_column_inner width="2/3" column_align="right"][trx_sc_layouts_iconed_text type="default" icon_type="fontawesome" icon_fontawesome="icon-phone-2" text1="Call Us Today" text2="0 (800) 123-456" id="" class="" css="" link=""][trx_sc_layouts_menu type="burger" location="none" menu="another-menu" burger="" mobile="1" stretch="" hover="zoom_line" animation_in="elastic" animation_out="hinge" id="" class="" css="" button="1" mobile_button="1" mobile_menu="1" mobile_hide=""][trx_sc_layouts_cart type="default" text="Shopping Cart" id="" class="" css=""][trx_sc_layouts_search type="default" style="expand" ajax="1" id="" class="" css=""][/vc_column_inner][/vc_row_inner][/vc_column][/vc_row][vc_row row_type="normal" row_delimiter="1"][vc_column column_type="center"][trx_sc_content type="default" width="1_1" float="none" align="none" padding="none" title_style="default" title_align="default"   description="" link="" link_text="" link_image="" scheme="inherit" id="" class="" css="" width2="1_1" size="1_1"][vc_row_inner equal_height="yes" content_placement="middle"][vc_column_inner width="1/3" column_align="left"][trx_sc_layouts_logo type="default" logo="" logo_retina="" id="" class="" css=""][/vc_column_inner][vc_column_inner width="2/3" column_align="right"][trx_sc_layouts_login type="default" text_login="" text_logout="" id="" class="" css=""][trx_sc_socials type="default" align="default" icons="%5B%7B%22icon_type%22%3A%22fontawesome%22%7D%5D" title_style="default" title_align="default"  description="" link="" link_text="" link_image="" id="" class="" css=""][trx_sc_button type="default" size="normal" link="#" title="Make an appointment"  align="none" text_align="none" back_image="" icon_type="fontawesome" icon_fontawesome="" image="" icon_position="left" id="" class="" css=""][/vc_column_inner][/vc_row_inner][/trx_sc_content][/vc_column][/vc_row][vc_row row_type="normal" row_delimiter="1" row_fixed="" hide_on_mobile="1"][vc_column column_type="center"][trx_sc_content type="default" width="1_1" float="none" align="none" padding="none" title_style="default" title_align="default" description="" link="" link_text="" link_image="" scheme="inherit" id="" class="" css="" width2="1_1" size="1_1"][vc_row_inner equal_height="yes" content_placement="middle"][vc_column_inner width="1/4" column_align="right" icons_position="right"][trx_sc_layouts_iconed_text type="default" icon_type="fontawesome" icon_fontawesome="icon-mail-empty" text1="Contact Us" text2="support@yahoo.com" id="" class="" css="" link="mailto:support@yahoo.com"][/vc_column_inner][vc_column_inner width="1/2" column_align="center"][trx_sc_layouts_logo type="default" logo="" logo_retina="" id="" class="" css=""][trx_sc_layouts_iconed_text type="default" icon_type="fontawesome" icon_fontawesome="icon-phone-2" text1="Call Us Today" text2="0 (800) 123-456" id="" class="" css="" link=""][/vc_column_inner][vc_column_inner width="1/4" column_align="left"][trx_sc_layouts_iconed_text type="default" icon_type="fontawesome" icon_fontawesome="icon-phone-2" text1="Call Us Today" text2="0 (800) 123-456" id="" class="" css="" link=""][/vc_column_inner][/vc_row_inner][/trx_sc_content][/vc_column][/vc_row][vc_row row_type="normal" row_delimiter="1"][vc_column column_type="center"][trx_sc_content type="default" width="1_1" float="none" align="none" padding="none" title_style="default" title_align="default" description="" link="" link_text="" link_image="" scheme="inherit" id="" class="" css="" width2="1_1" size="1_1"][vc_row_inner equal_height="yes" content_placement="middle"][vc_column_inner width="1/4" column_align="right" icons_position="right"][trx_sc_layouts_search type="default" style="fullscreen" ajax="1" id="" class="" css=""][trx_sc_layouts_search type="default" style="expand" ajax="1" id="" class="" css=""][/vc_column_inner][vc_column_inner width="1/2" column_align="center"][trx_sc_layouts_search type="default" style="normal" ajax="1" id="" class="" css=""][/vc_column_inner][vc_column_inner width="1/4" column_align="left"][trx_sc_layouts_cart type="default" text="Shopping Cart" id="" class="" css=""][/vc_column_inner][/vc_row_inner][/trx_sc_content][/vc_column][/vc_row][vc_row row_type="normal" row_delimiter="1" row_fixed="1" hide_on_mobile=""][vc_column column_type="center"][trx_sc_content type="default" width="1_1" float="none" align="none" padding="none" title_style="default" title_align="default" description="" link="" link_text="" link_image="" scheme="inherit" id="" class="" css="" width2="1_1" size="1_1"][vc_row_inner equal_height="yes" content_placement="middle"][vc_column_inner width="1/4" column_align="left"][trx_sc_layouts_logo type="default" logo="" logo_retina="" id="" class="" css=""][/vc_column_inner][vc_column_inner width="3/4" column_align="right"][trx_sc_layouts_menu type="default" location="none" menu="main-menu" burger="" mobile="1" id="" class="" css="" stretch="" hover="slide_line" animation_in="fadeInUpSmall" animation_out="fadeOutDownSmall" mobile_button="1" mobile_menu="1" mobile_hide="1" hide_on_mobile="1"][trx_sc_layouts_search type="default" style="fullscreen" ajax="" id="" class="" css=""][/vc_column_inner][/vc_row_inner][/trx_sc_content][/vc_column][/vc_row][vc_row row_type="normal" row_delimiter="" row_fixed="" hide_on_mobile="" hide_on_frontpage="1"][vc_column][trx_sc_content type="default" size="1_1" float="none" align="center" padding="none" title_style="default" title_align="default" description="" link="" link_text="" link_image="" scheme="inherit" id="" class="" css=""][trx_sc_layouts_title type="default" icon_type="fontawesome" icon_fontawesome="" meta="1" title="1" breadcrumbs="1" hide_on_mobile="" id="" class="" css=""][/trx_sc_content][/vc_column][/vc_row]'
								)
							)
						);
	}
}